AOWP_PHPFileManager (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.weaver.AOWP_PHPFileManager
/aspect/weaver/PHPFileManager.class.php at line 6

# Class AOWP_PHPFileManager

    AOWP_PHPFileManager

public class AOWP_PHPFileManager

Enter description here...

Field Summary
final str | REAL_PATH_PATTERN
private static mixed | $_PHP_FILE_NAME_ARRAY

Method Summary
private static void | _getBackupPath()
private static void | _getRelativePathAgainstRequestURL(mixed targetPath)
static void | _isWindows()
private static void | _removeDotDotPath(mixed path)
static void | backupOriginalPHPFile()
static void | copy(mixed src, mixed dist)
static unknown | getAllPHPFile(unknown_type directoryPath, mixed includePattern) 指定したフォルダ配下の全てのPHPファイルのフルパスを返します。
static void | getAllProjectPHPFile()
static void | getRelativePath(mixed targetPath, mixed baseFolderPath)
static void | mkdir(mixed path)
static void | move(mixed src, mixed dist)
static void | removeFolder(mixed path)
static void | saveFile(mixed savePath, mixed content)
static void | undoWeaving()

## Field Detail

/aspect/weaver/PHPFileManager.class.php at line 7

### REAL_PATH_PATTERN

`public final str REAL_PATH_PATTERN = '/(^[a-zA-Z]:)|(^\/)/'`

/aspect/weaver/PHPFileManager.class.php at line 9

### _PHP_FILE_NAME_ARRAY

`private static mixed $_PHP_FILE_NAME_ARRAY = null`

## Method Detail

/aspect/weaver/PHPFileManager.class.php at line 48

### _getBackupPath

`private static void _getBackupPath()`

/aspect/weaver/PHPFileManager.class.php at line 137

### _getRelativePathAgainstRequestURL

`private static void _getRelativePathAgainstRequestURL(mixed targetPath)`

/aspect/weaver/PHPFileManager.class.php at line 52

### _isWindows

`public static void _isWindows()`

/aspect/weaver/PHPFileManager.class.php at line 172

### _removeDotDotPath

`private static void _removeDotDotPath(mixed path)`

/aspect/weaver/PHPFileManager.class.php at line 124

### backupOriginalPHPFile

`public static void backupOriginalPHPFile()`

/aspect/weaver/PHPFileManager.class.php at line 92

### copy

`public static void copy(mixed src, mixed dist)`

/aspect/weaver/PHPFileManager.class.php at line 17

### getAllPHPFile

`public static unknown getAllPHPFile(unknown_type directoryPath, mixed includePattern)`

指定したフォルダ配下の全てのPHPファイルのフルパスを返します。

Parameters:
  directoryPath - 織り込み対象のプロジェクトのルートフォルダ。無しの時は、AOWP_PHPFileManager::BASE_PATHが使われる。

/aspect/weaver/PHPFileManager.class.php at line 44

### getAllProjectPHPFile

`public static void getAllProjectPHPFile()`

/aspect/weaver/PHPFileManager.class.php at line 141

### getRelativePath

`public static void getRelativePath(mixed targetPath, mixed baseFolderPath)`

/aspect/weaver/PHPFileManager.class.php at line 66

### mkdir

`public static void mkdir(mixed path)`

/aspect/weaver/PHPFileManager.class.php at line 113

### move

`public static void move(mixed src, mixed dist)`

/aspect/weaver/PHPFileManager.class.php at line 56

### removeFolder

`public static void removeFolder(mixed path)`

/aspect/weaver/PHPFileManager.class.php at line 79

### saveFile

`public static void saveFile(mixed savePath, mixed content)`

/aspect/weaver/PHPFileManager.class.php at line 130

### undoWeaving

`public static void undoWeaving()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr